%global momorel 14

Summary: Sound player with the WinAmp GUI, for Unix-based systems, using GTK+ 2
Name: bmpx
Version: 0.40.14
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://bmpx.backtrace.info/site/BMPx_Homepage
Source0: http://files.backtrace.info/releases/0.40/%{name}-%{version}.tar.bz2
Patch0: bmpx-0.40.13-lib64.patch
Patch1: bmpx-constcastfix.patch
Patch2: bmpx-0.40.14-cairommfix.patch
Patch3: bmpx-0.40.14-duplicated-file.patch
Patch4: bmpx-0.40.14-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Fixed: (see README)
BuildRequires: gstreamer-devel >= 0.10.11
BuildRequires: gstreamer-plugins-base >= 0.10.11
# BuildRequires: gstreamer-plugins-good-devel >= 0.10.3
# BuildRequires: gstreamer-plugins-ugly-devel >= 0.10.3
# BuildRequires: gstreamer-plugins-bad-devel >= 0.10.3
BuildRequires: taglib-devel >= 1.4
BuildRequires: gtk2-devel >= 2.10.4
BuildRequires: gtkmm-devel >= 2.12.4
BuildRequires: cairo-devel >= 1.0.0
BuildRequires: cairomm-devel >= 0.6.0
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libglademm-devel >= 2.6.3
BuildRequires: libsexymm-devel >= 0.1.9
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: libsoup-2.2-devel >= 2.2.105
BuildRequires: libofa-devel >= 0.9.3
BuildRequires: sqlite-devel >= 3.3.11
BuildRequires: libxml2-devel >= 2.6.23 
BuildRequires: gettext
BuildRequires: dbus-devel >= 0.62
BuildRequires: dbus-glib >= 0.62
BuildRequires: boost-devel >= 1.43.0
BuildRequires: alsa-lib-devel >= 1.0.9
BuildRequires: cdparanoia-devel
# Optional: (see README)
BuildRequires: hal-devel >= 0.5.7.1
BuildRequires: startup-notification >= 0.8
#BuildRequires: libsidplay-devel
BuildRequires: libmodplug-devel >= 0.7
# Documentation: (see README)
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
# Others: (not listed in README)
BuildRequires: gamin-devel >= 0.1.7
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: libnotify-devel >= 0.4.2
BuildRequires: notification-daemon >= 0.3.5
BuildRequires: libmusicbrainz-devel >= 2.1.1
BuildRequires: neon-devel >= 0.25.5
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: glibmm-devel => 2.8.4 
BuildRequires: faad2-devel
BuildRequires: faac-devel

%description
Easy to use mediaplayer with GTK+2 and ponies.

%package devel
Summary: Header files for BMPx media player
Group: Development/Libraries
Requires: %{name} =  %{version}-%{release}

%description devel
Header files required for compiling BMPx media player plugins.

%prep
%setup -q
%if %{_lib}=="lib64"
%patch0 -p1 -b .lib64~
%endif
%patch1 -p1
%patch2 -p1 -b .cairommfix~
%patch3 -p1 -b .duplicated~
%patch4 -p1 -b .gcc44

%build
autoreconf -fi
%configure --enable-hal --enable-gamin --enable-libnotify --enable-mp4v2 \
	   --enable-modplug \
	   --with-dbus-services-dir=%{_datadir}/dbus-1/services
%make

%install
rm -rf --preserve-root %{buildroot}
make install transform='s,x,x,' DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" -delete
rm -f %{buildroot}%{_mandir}/man*/*
rm -f %{buildroot}%{_datadir}/locale/locale.alias
(
	cd %{buildroot}%{_bindir}
	rm -f bmp2
	ln -s beep_media_player_2 beep-media-player-2
	cd %{buildroot}%{_libexecdir}
	mv -f bmp2-bin beep-media-player-2-bin
)
mv %{buildroot}%{_datadir}/doc .

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/bmpx/*
%attr(755,root,root) %{_bindir}/beep*
%attr(755,root,root) %{_bindir}/bmp*
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-bin
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-sentinel
%{_libdir}/bmpx
#%%{_libdir}/libbmp_id3v2_reader.so
#%%{_libdir}/libbmp_id3v2_reader.so.0
#%%{_libdir}/libbmp_id3v2_reader.so.0.0.0
%{_datadir}/bmpx
%{_datadir}/applications/bmp-*.desktop
%{_datadir}/dbus-1/services/org.beepmediaplayer.sentinel.service
#%%{_datadir}/dbus-1/services/org.beepmediaplayer.bmp.service
%{_datadir}/dbus-1/services/org.mpris.bmp.service
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/bmpx.mo

%files devel
%defattr(644,root,root,755)
%{_includedir}/bmp-2.0
%{_libdir}/pkgconfig/bmp-2.0.pc

%changelog
* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.40.14-14m)
- [BUG FIX] fix %%post and %%postun

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.40.14-13m)
- full rebuild for mo7 release

* Fri Jun 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.40.14-12m)
- rebuild against boost-1.43.0

* Sun Nov 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.40.14-11m)
- rebuild against boost-1.41.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-10m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Oct 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.40.14-9m)
- rebuilt for boost-1.40.0

* Sun Aug 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-8m)
- apply gcc44 patch (Patch4)

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.40.14-7m)
- add patch3 (duplicated file list)

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.40.14-6m)
- rebuilt for boost-1.39.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-5m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-4m)
- rebuild against boost-1.37.0

* Fri Jan  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-3m)
- update Patch1 for fuzz=0

* Mon Dec  8 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.40.14-2m)
- add patch to fix build failure

* Mon Sep 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.14-1m)
- update to 0.40.14

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.40.13-8m)
- change BuildRequires: gst-plugins-base to gstreamer-plugins-base

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.40.13-7m)
- rebuild against gnutls-2.4.1

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.40.13-6m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.40.13-5m)
- rebuild against gcc43

* Tue Mar 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.40.13-4m)
- rebuild against libsoup-2.2.105
- BPR libsoup-2.2

* Sun Feb 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.40.13-3m)
- rebuild against boost-1.34.1-6m

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.13-2m)
- add gcc43 patch

* Sat Feb  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.13-1m)
- update to 0.40.13
- BuildRequires: gtkmm-devel >= 2.12.4
- URL: http://bmpx.backtrace.info/site/BMPx_Homepage

* Mon Jan  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.40.8-4m)
- no NoSource

* Fri Dec 28 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.40.8-3m)
- add constcastfix from Fedora devel

* Wed Sep 26 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.40.8-2m)
- add lib64 patch

* Mon Sep 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.8-1m)
- update to 0.40.8
- enable modplug 

* Mon Sep  3 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.40.1-3m)
- add BuildRequires gst-plugins-base libofa-devel

* Thu Aug 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.1-2m)
- rebuild against boost-1.34.1-1m

* Mon Aug 13 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.1-1m)
- update to 0.40.1

* Sun Aug 12 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.40.0-1m)
- update to 0.40.0

* Wed Dec 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.36.1-2m)
- %%{_bindir}/bmpx -> %%{_bindir}/beep-media-player-2 for bmp-*.desktop

* Wed Dec 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.36.1-1m)
- update to 0.36.1

* Thu Oct 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.33.0-1m)
- update to 0.33.0

* Thu Oct 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.32.0-3m)
- rm /usr/share/locale/locale.alias

* Mon Oct 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.32.0-2m)
- modify %%files to avoid conflicting with glibc-common

* Thu Oct 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.32.0-1m)
- initial import


